QGIS Application - Bug report #18991

QGIS crash while refreshing a modified WMS source

2018-05-20 07:49 AM - Ronan L

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.0.2
Operating System: Mac OS X.13.4
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: Yes
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 26822

Description

100% reproductible on WMS, not sure on WCS more WFS since | do not have configuration access to a WCS/WFS server.

Easy steps for reproducing:

1 - install MapProxy serving a single WMS layer
2- On QGIS add the newly configured WMS service
3- Add on MapProxy a second layer

4- On QGIS clean the network cache (if not no refresh request will be done)

5- Hit the refresh button on the MapProxy WMS service

Now QGIS has crashed...

History

#1 - 2018-06-01 04:54 PM - Even Rouault

Just tried with a local MapServer instance where | did the same as your scenario, and | didn't get any crash

#2 - 2018-06-20 08:08 PM - Martin Dobias
- Status changed from Open to Feedback

Would it be possible to attach a backtrace from the crash?

#3 - 2018-08-23 07:43 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
